`PUT /api/v1/channels/{id}` — update a notification channel (Admin only).
PUT
/api/v1/channels/{id}
const url = 'https://example.com/api/v1/channels/example';const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"config":"example","name":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/v1/channels/example \ --header 'Content-Type: application/json' \ --data '{ "config": "example", "name": "example" }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Channel ID
Request Body required
Section titled “Request Body required ” Media type application/json
Request body for PUT /api/v1/channels/{id}.
object
config
New config (optional).
name
New name (optional).
string | null
Example generated
{ "config": "example", "name": "example"}Responses
Section titled “ Responses ”Channel updated
Media type application/json
Response body for a single notification channel.
object
channel_type
required
string
config
required
created_at
required
integer format: int64
created_by
required
string
id
required
string
name
required
string
Example generated
{ "channel_type": "example", "config": "example", "created_at": 1, "created_by": "example", "id": "example", "name": "example"}Invalid request body
Admin role required
Channel not found